<?xml version="1.0"?>
<?xml-stylesheet type="text/css" href="http://docs.hostway.com/skins/common/feed.css?303"?>
<feed xmlns="http://www.w3.org/2005/Atom" xml:lang="en">
		<id>http://docs.hostway.com/index.php?action=history&amp;feed=atom&amp;title=Get_one_node</id>
		<title>Get one node - Revision history</title>
		<link rel="self" type="application/atom+xml" href="http://docs.hostway.com/index.php?action=history&amp;feed=atom&amp;title=Get_one_node"/>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Get_one_node&amp;action=history"/>
		<updated>2026-04-08T21:23:32Z</updated>
		<subtitle>Revision history for this page on the wiki</subtitle>
		<generator>MediaWiki 1.18.0</generator>

	<entry>
		<id>http://docs.hostway.com/index.php?title=Get_one_node&amp;diff=2154&amp;oldid=prev</id>
		<title>Mike.robski: 1 revision: Release 109</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Get_one_node&amp;diff=2154&amp;oldid=prev"/>
				<updated>2015-07-24T18:13:13Z</updated>
		
		<summary type="html">&lt;p&gt;1 revision: Release 109&lt;/p&gt;
&lt;table class='diff diff-contentalign-left'&gt;
		&lt;tr valign='top'&gt;
		&lt;td colspan='1' style=&quot;background-color: white; color:black;&quot;&gt;← Older revision&lt;/td&gt;
		&lt;td colspan='1' style=&quot;background-color: white; color:black;&quot;&gt;Revision as of 18:13, 24 July 2015&lt;/td&gt;
		&lt;/tr&gt;&lt;/table&gt;</summary>
		<author><name>Mike.robski</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php?title=Get_one_node&amp;diff=2153&amp;oldid=prev</id>
		<title>Donghyun.kim: /* Response Body */</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Get_one_node&amp;diff=2153&amp;oldid=prev"/>
				<updated>2015-02-04T22:45:30Z</updated>
		
		<summary type="html">&lt;p&gt;&lt;span class=&quot;autocomment&quot;&gt;Response Body&lt;/span&gt;&lt;/p&gt;
&lt;p&gt;&lt;b&gt;New page&lt;/b&gt;&lt;/p&gt;&lt;div&gt;= '''GET''' /accounts/''{accountId}''/loadbalancers/''{lbId}''/nodePools/''{nodePoolId}''/nodes/''{nodeId}'' =&lt;br /&gt;
This operation retrieves all the information about a single node from a given load balancer. &lt;br /&gt;
&lt;br /&gt;
== Request == &lt;br /&gt;
&amp;lt;code&amp;gt;GET /accounts/''{accountId}''/loadbalancers/''{lbId}''/nodePools/''{nodePoolId}''/nodes/''{nodeId}'' &amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== Request Parameters ===&lt;br /&gt;
; accountId - ''string''&lt;br /&gt;
: The selected account id.&lt;br /&gt;
&lt;br /&gt;
; lbId - ''string''&lt;br /&gt;
: The selected loadbalancer id.&lt;br /&gt;
&lt;br /&gt;
; nodePoolId - ''string''&lt;br /&gt;
: The selected node pool id.&lt;br /&gt;
&lt;br /&gt;
; nodeId -- ''string''&lt;br /&gt;
: The selected node id.&lt;br /&gt;
&lt;br /&gt;
== Response ==&lt;br /&gt;
&lt;br /&gt;
=== Response Codes ===&lt;br /&gt;
; 200 OK''&lt;br /&gt;
&lt;br /&gt;
; 401 Unauthorized''&lt;br /&gt;
: This server could not verify that you are authorized to access the document you requested.  Either you supplied the wrong credentials (e.g., bad password), or your browser does not understand how to supply the credentials required.&lt;br /&gt;
&lt;br /&gt;
; 404 Not Found&lt;br /&gt;
:The resource does not exist.&lt;br /&gt;
&lt;br /&gt;
=== Response Body ===&lt;br /&gt;
&amp;lt;pre&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;id&amp;quot;: &amp;quot;{lbNodeId}&amp;quot;,&lt;br /&gt;
    &amp;quot;server&amp;quot;: [{&amp;quot;href&amp;quot;: &amp;quot;{serverUrl}&amp;quot;, &amp;quot;rel&amp;quot;: &amp;quot;related&amp;quot;}],&lt;br /&gt;
    &amp;quot;port&amp;quot;: &amp;quot;{lbNodePort}&amp;quot;,&lt;br /&gt;
    &amp;quot;status&amp;quot;: &amp;quot;{lbStatus}&amp;quot;,&lt;br /&gt;
    &amp;quot;links&amp;quot;: [{&amp;quot;href&amp;quot;: &amp;quot;http://{api-server}/accounts/{accountId}/loadbalancers/{lbId}/nodePools/{nodePoolId}/nodes/{lbNodeId}&amp;quot;, &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;}]&lt;br /&gt;
&lt;br /&gt;
}&lt;br /&gt;
&amp;lt;/pre&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Parameters ====&lt;br /&gt;
; id - ''string''&lt;br /&gt;
: The id of node&lt;br /&gt;
&lt;br /&gt;
; server - ''list''&lt;br /&gt;
: [[Hypermedia]] to a resource of the server node hosted by Hostway&lt;br /&gt;
: it could be flexcloud servers virtual machine URL (http://{api-server}/account/{accountId}/flexcloud/servers/{serverId})&lt;br /&gt;
&lt;br /&gt;
; port - ''integer''&lt;br /&gt;
: The ports on node that LB forward traffic to&lt;br /&gt;
: Allowed range is 1 ~ 65535&lt;br /&gt;
&lt;br /&gt;
; status - ''string''&lt;br /&gt;
: The status of a node&lt;br /&gt;
: Allowed values are '''ENABLED''' or '''DISABLED'''&lt;br /&gt;
&lt;br /&gt;
== Examples ==&lt;br /&gt;
&lt;br /&gt;
=== Successfully list details for specified load balancer node ===&lt;br /&gt;
&lt;br /&gt;
'''Request'''&lt;br /&gt;
&amp;lt;pre&amp;gt;&lt;br /&gt;
GET /accounts/{accountId}/loadbalancers/{lbId}/nodePools/{nodePoolId}/nodes/{nodeId}&lt;br /&gt;
Content-Type:application/json&lt;br /&gt;
Charset=UTF-8&lt;br /&gt;
Authorization: Basic {Base64-encoded username &amp;amp; password string}&lt;br /&gt;
&amp;lt;/pre&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
&amp;lt;pre&amp;gt;&lt;br /&gt;
HTTP/1.1 200 OK&lt;br /&gt;
&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;id&amp;quot; : &amp;quot;1401&amp;quot;,&lt;br /&gt;
    &amp;quot;server&amp;quot; : [{&amp;quot;href&amp;quot;: &amp;quot;http://{api-server}/account/{accountId}/flexcloud/servers/{serverId}&amp;quot;, &amp;quot;rel&amp;quot;: &amp;quot;related&amp;quot;}],&lt;br /&gt;
    &amp;quot;port&amp;quot;: &amp;quot;80&amp;quot;,&lt;br /&gt;
    &amp;quot;status&amp;quot; : &amp;quot;ENABLED&amp;quot;,&lt;br /&gt;
    &amp;quot;links&amp;quot; : [{&amp;quot;href&amp;quot; : &amp;quot;http://{api-server}/accounts/{accountId}/loadbalancers/{lbId}/nodePools/{nodePoolId}/node/{nodeId}&amp;quot;, &amp;quot;rel&amp;quot; : &amp;quot;self&amp;quot;}]&lt;br /&gt;
&lt;br /&gt;
 }&lt;br /&gt;
&amp;lt;/pre&amp;gt;&lt;br /&gt;
&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Load Balancer API]]&lt;/div&gt;</summary>
		<author><name>Donghyun.kim</name></author>	</entry>

	</feed>